<?php require_once($_ENV["DS_SCRIPTS"]."/utils.php"); ?>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<link href="<?php print($_ENV["DS_STANDARD_STYLES"]); ?>" rel="stylesheet" type="text/css">
	
	<style type="text/css">
		body {
			padding: 0px;
			margin: 0px;
		}
		
		/* calendar */
		table.calendar {
		}
		td.calendar-head {
			text-align:center;
		}
		tr.calendar-row	{}
		td.calendar-day	{			
			position:relative;
		} 
		td.calendar-today	{
			position:relative;
			font-weight: bold;
			border-width: 1px;
			border-color: <?php print($input["today_color"]); ?>;
			border-style: solid;
			border-radius: 0px;
		}
		* html div.calendar-day {}
		td.calendar-day:hover	{}
		td.calendar-day-np	{} 
		* html div.calendar-day-np {}
		td.calendar-day-head {
			padding: 2px;
			text-align:center;
		}
		div.day-number {
			padding-left:2px;
			padding-right: 2px;
			float:right;
			text-align:center;
		}
		td.calendar-day, td.calendar-day-np {
			padding:1px;
		}			
	
	</style>
</head>
<body class="text-style">
	<?php
		
		// ??? make a ENV variable since we can't figure this out!
		date_default_timezone_set($_ENV["DS_TIME_ZONE"]);
						
		// http://davidwalsh.name/php-calendar
		function draw_calendar($date){
			
			//$title = DateTime::createFromFormat("Y-m-d", $date);
			$title = date('F Y', strtotime($date));
			
			$formatted_date = DateTime::createFromFormat("Y-m-d", $date);
			$year = $formatted_date->format("Y");
			$month = $formatted_date->format("m");
			
			/* draw table */
			$calendar = '<table cellpadding="0" cellspacing="0" class="calendar text-style">';
			$calendar.= '<tr><td class="calendar-head" colspan="7">'.$title.'</td></tr>';

			/* table headings */
			$headings = array();
			for($i=1;$i<8;$i++) {
				$weekday = date("l",mktime(0,0,0,3,28,2009)+$i * (3600*24));
				$headings[] = substr($weekday, 0, 2);
			}
			//$headings = array('Su','Mo','Tu','We','Th','Fr','Sa');
			$calendar.= '<tr class="calendar-row"><td class="calendar-day-head">'.implode('</td><td class="calendar-day-head">',$headings).'</td></tr>';

			/* days and weeks vars now ... */
			$today = date("j");
			$this_month = date("m");
			$running_day = date('w', mktime(0,0,0,$month,1,$year));
			$days_in_month = date('t', mktime(0,0,0,$month,1,$year));
			$days_in_this_week = 1;
			$day_counter = 0;
			$dates_array = array();

			/* row for week one */
			$calendar.= '<tr class="calendar-row">';

			/* print "blank" days until the first of the current week */
			for($x = 0; $x < $running_day; $x++):
				$calendar.= '<td class="calendar-day-np"> </td>';
				$days_in_this_week++;
			endfor;

			/* keep going with days.... */
			for($list_day = 1; $list_day <= $days_in_month; $list_day++):
				
				if (($list_day == $today) && ($month == $this_month)) {
					$calendar.= '<td class="calendar-today">';
				} else {
					$calendar.= '<td class="calendar-day">';
				}
				
				/* add in the day number */					
				$calendar.= '<div class="day-number text-style">'.$list_day.'</div>';

				/** QUERY THE DATABASE FOR AN ENTRY FOR THIS DAY !!  IF MATCHES FOUND, PRINT THEM !! **/
				$calendar.= str_repeat('<p> </p>',2);

				$calendar.= '</td>';
				if($running_day == 6):
					$calendar.= '</tr>';
					if(($day_counter+1) != $days_in_month):
						$calendar.= '<tr class="calendar-row">';
					endif;
					$running_day = -1;
					$days_in_this_week = 0;
				endif;
				$days_in_this_week++; $running_day++; $day_counter++;
			endfor;

			/* finish the rest of the days in the week */
			if($days_in_this_week < 8):
				for($x = 1; $x <= (8 - $days_in_this_week); $x++):
					$calendar.= '<td class="calendar-day-np"> </td>';
				endfor;
			endif;

			/* final row */
			$calendar.= '</tr>';

			/* end the table */
			$calendar.= '</table>';

			/* all done, return result */
			return $calendar;
		}

		$this_month = date("m");
		
		$future = $input["future"];
		//$month = exec("date -v+".$future."m +%m");
		//$this_month = ltrim($month, "0");
		
		$date = date("Y-m-d");
		$date = date('Y-m-d', strtotime($date."+ $future month"));
				
		echo draw_calendar($date);
	?>
</body>
</html>