<?php require_once($_ENV["DS_SCRIPTS"]."/utils.php"); ?>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<link href="<?php print($_ENV["DS_STANDARD_STYLES"]); ?>" rel="stylesheet" type="text/css">
	<script src="<?php echo $_ENV["DS_SCRIPTS"]; ?>/knob/jquery.min.js"></script>
  <script src="<?php echo $_ENV["DS_SCRIPTS"]; ?>/knob/jquery.knob.js"></script>
  <script>
      $(function($) {

          $(".knob").knob({
              draw : function () {

                  // "tron" case
                  if(this.$.data('skin') == 'tron') {

                      this.cursorExt = 0.3;

                      var a = this.arc(this.cv)  // Arc
                          , pa                   // Previous arc
                          , r = 1;

                      this.g.lineWidth = this.lineWidth;

                      if (this.o.displayPrevious) {
                          pa = this.arc(this.v);
                          this.g.beginPath();
                          this.g.strokeStyle = this.pColor;
                          this.g.arc(this.xy, this.xy, this.radius - this.lineWidth, pa.s, pa.e, pa.d);
                          this.g.stroke();
                      }

                      this.g.beginPath();
                      this.g.strokeStyle = r ? this.o.fgColor : this.fgColor ;
                      this.g.arc(this.xy, this.xy, this.radius - this.lineWidth, a.s, a.e, a.d);
                      this.g.stroke();

                      this.g.lineWidth = 2;
                      this.g.beginPath();
                      this.g.strokeStyle = this.o.fgColor;
                      this.g.arc( this.xy, this.xy, this.radius - this.lineWidth + 2 + this.lineWidth * 2 / 3, 0, 2 * Math.PI, false);
                      this.g.stroke();

                      return false;
                  }
              }
          });
      });
  </script>
	
	<?php echo progress_bar_css($input["bgcolor"], $input["fgcolor"], $input["bar_border_width"], $input["bar_border_color"], $input["bar_rounded"], $input["bar_padding"]); ?>
	
	<style type="text/css">
		body {
			margin: 0px;
			padding: 0px;
		}
		table {
			margin: 0px;
			padding: 0px;
			width: 100%;
		}				
	</style>
</head>
<body class="text-style">
	<?php require_once("disk_usage.php"); ?>
</body>
</html>