<?php 
	require_once($_ENV["DS_SCRIPTS"]."/utils.php");
	require_once($_ENV["DS_SCRIPTS"]."/token_formatter.php");
	
	function uptime () {
		$line = exec("/usr/bin/uptime");
		// 8:15  up 5 days, 18 mins, 2 users, load averages: 2.01 1.89 1.77
		// 9:05  up 5 days,  1:08, 2 users, load averages: 1.19 1.24 1.30
		// 10:13  up 14:08, 2 users, load averages: 2.90 2.48 2.08
		// 7:25  up 1 day, 11:20, 3 users, load averages: 2.28 1.77 1.80
		//$line = "10:13  up 14:08, 2 users, load averages: 2.90 2.48 2.08";
		
		if (preg_match("/up\s+(.*),\s+\d+\s+users/", $line, $matches)) {
			
			// full uptime string
			$uptime = $matches[1];
			
			// parse time
			if (preg_match("/(\d+):(\d+)/", $matches[1], $matches)) {
				$time = $matches[1].":".$matches[2];
				
				$matches[1] = ltrim($matches[1], "0");
				$matches[2] = ltrim($matches[2], "0");
				
				//if ($matches[1] > 0) {
				//	$uptime .= $matches[1]."h ".$matches[2]."m";
				//} else {
				//	$uptime .= $matches[1]."m";
				//}
				
				if ($matches[1] > 0) {
					$uptime .= $matches[1]." hours";
				} else {
					$uptime .= $matches[1]." minutes";
				}
				
			}
			
			// remove old time format
			$uptime = str_replace($time, "", $uptime);
			return $uptime;
		} else {
			// parsing error
			exit;
		}
	}

	$tokens = array("t" => uptime());
	$parser = new TokenFormatter($input["format"], $tokens, $_ENV["DS_HTML_OUTPUT"]);
	echo $parser->parse();
?>