<?php
	require_once($_ENV["DS_SCRIPTS"]."/utils.php");
	
	// set the time zone
	if (!$input["tz"]) {
		date_default_timezone_set($_ENV["DS_TIME_ZONE"]);
	} else {
		date_default_timezone_set($input["tz"]);
	}
	
	if ($input["format"] == "") {
		$parts = array();

		// weekday, abbreviated
		if ($input["weekday"] == 1) $parts[] = "D";

		// weekday, full
		if ($input["weekday"] == 2) $parts[] = "l";

		// month, two-digit month number
		if ($input["month"] == 1) $parts[] = "j";

		// month name, abbreviated
		if ($input["month"] == 2) $parts[] = "M";

		// month name, full
		if ($input["month"] == 3) $parts[] = "F";

		// day of month, number
		if ($input["day"] == 1) $parts[] = "j";

		// day of month, ordinal suffix
		if ($input["day"] == 2) $parts[] = "jS";

		// year
		if ($input["year"] == 1) $parts[] = "y";
		if ($input["year"] == 2) $parts[] = "Y";

		// time
		if ($input["time"] == 1) {
			if ($input["seconds"]) {
				$parts[] = "g:i:s";
			} else {
				$parts[] = "g:i";
			}
		}
		if ($input["time"] == 2) {
			if ($input["seconds"]) {
				$parts[] = "G:i:s";
			} else {
				$parts[] = "G:i";
			}
		}

		//if ($input["seconds"]) $parts[] = ":%S";
		if ($input["ampm"] == 1) $parts[] = "a";
		if ($input["ampm"] == 2) $parts[] = "A";

		echo date(implode(" ", $parts));
	} else {
		echo date($input["format"]);
	}
?>