<?php
	require_once($_ENV["DS_SCRIPTS"]."/utils.php");

	//$input["df"] = 30;
	//$input["attrs"] = true;
	//$input["cal"] = "Personal";
	//$input["prefix"] = "- ";
	
	$primary_bullet = $input["primary_bullet"];
	$secondary_bullet = $input["secondary_bullet"];
	$column_indent = $input["indent"];
	$cal = $input["cal"];
	$days_into_future = $input["df"];
	$organize_by_list = $input["list"];
	
	function indent_str ($length) {
		global $column_indent;
		$indent = "";
		for ($i=0; $i < $length; $i++) $indent .= $column_indent;
		return $indent;
	}
	
	if ($input["cal"]) {
		$results = shell_exec("\"".getcwd()."/calhelper\" -cals \"$cal\" -tasks $days_into_future");
	} else {
		$results = shell_exec("\"".getcwd()."/calhelper\" -tasks $days_into_future");
	}
	//print_r($results);
	//exit;
	
	if ($xml = simplexml_load_string($results)) {
		//print_r($xml);
		//exit;
		
		$tasks = array();
		
		foreach ($xml as $value) {
						
			$task = array();
			$task["title"] = (string)$value->title;
			$task["calendar"] = (string)$value->calendar;
			
			// get attributes
			if (($input["attrs"]) && ($value->notes || $value->priority)) {
				$attrs = null;
				if ($value->priority) $attrs["priority"] = (string)$value->priority;
				if ($value->notes) $attrs["notes"] = (string)$value->notes;
				if ($attrs) $task["attributes"] = $attrs;
			}
			
			// add to list
			$tasks[$task["calendar"]][] = $task;
		}
		//print_r($tasks);
		//exit;
	
		foreach ($tasks as $list => $lists) {
			
			if ($organize_by_list) print("$primary_bullet $list\n");
			
			foreach ($lists as $task) {
					$title = $task["title"];
					
					if (!$organize_by_list) {
						print("$primary_bullet $title\n");
					} else {
						print(indent_str(2)."$secondary_bullet $title\n");
					}

					if ($task["attributes"]) {
						foreach ($task["attributes"] as $key => $value) print(indent_str(4)."$key: $value\n");
					}
					
			}
		}
		
	}
?>
