<?php
	require_once($_ENV["DS_SCRIPTS"]."/utils.php");
	
	/*
	system_profiler SPSoftwareDataType
	Software:

	    System Software Overview:

	      System Version: OS X 10.9.2 (13C64)
	      Kernel Version: Darwin 13.1.0
	      Boot Volume: MacBook HD
	      Boot Mode: Normal
	      Computer Name: Ryan Joseph’s MacBook
	      User Name: Ryan Joseph (ryanjoseph)
	      Secure Virtual Memory: Enabled
	      Time since boot: 14:43
	
	system_profiler SPHardwareDataType
 	Hardware:

	    Hardware Overview:

	      Model Name: MacBook
	      Model Identifier: MacBook7,1
	      Processor Name: Intel Core 2 Duo
	      Processor Speed: 2.4 GHz
	      Number of Processors: 1
	      Total Number of Cores: 2
	      L2 Cache: 3 MB
	      Memory: 4 GB
	      Bus Speed: 1.07 GHz
	      Boot ROM Version: MB71.0039.B0E
	      SMC Version (system): 1.60f6
	      Serial Number (system): 45105HGKF5W
	      Hardware UUID: 5E90D934-4F1D-5EC2-93C2-BBD139DCAA62
	      Sudden Motion Sensor:
	          State: Enabled

	*/
	
	function format_key ($key) {
		$key = strtolower($key);
		$key = str_replace(" ", "", $key);
		return $key;
	}
	
	$info = array();
	
	$software_keys = array("Computer Name", "User Name", "System Version", "Kernel Version", "Boot Volume");
	
	$hardware_keys = array(	"Model Name", "Processor Name", "Processor Speed", "Number of Processors", "Total Number of Cores",
													"L2 Cache", "Memory", "Bus Speed"
													);
	
	// software
	$lines = explode("\n", shell_exec("/usr/sbin/system_profiler SPSoftwareDataType"));
	foreach ($software_keys as $key) {
		if (!$input[format_key($key)]) continue;
		foreach ($lines as $line) {
			if (preg_match("/^\s+$key:\s+(.*)/", $line, $matches)) {
				$info[] = $key.": ".$matches[1];
				continue;
			}
		}
	}
	
	// hardware
	$lines = explode("\n", shell_exec("/usr/sbin/system_profiler SPHardwareDataType"));
	foreach ($hardware_keys as $key) {
		if (!$input[format_key($key)]) continue;
		foreach ($lines as $line) {
			if (preg_match("/^\s+$key:\s+(.*)/", $line, $matches)) {
				$info[] = $key.": ".$matches[1];
				continue;
			}
		}
	}
	
	print(implode("\n", $info));
?>